# wifi.ap.&lt;name&gt; Schema

```
https://www.iopsys.eu/wifi.ap.json
```

| Custom Properties | Additional Properties |
| ----------------- | --------------------- |
| Forbidden         | Forbidden             |

# wifi.ap.&lt;name&gt;

| List of Methods                           |
| ----------------------------------------- |
| [add_neighbor](#add_neighbor)             | Method | wifi.ap.&lt;name&gt; (this schema) |
| [add_vendor_ie](#add_vendor_ie)           | Method | wifi.ap.&lt;name&gt; (this schema) |
| [assoclist](#assoclist)                   | Method | wifi.ap.&lt;name&gt; (this schema) |
| [del_neighbor](#del_neighbor)             | Method | wifi.ap.&lt;name&gt; (this schema) |
| [del_vendor_ie](#del_vendor_ie)           | Method | wifi.ap.&lt;name&gt; (this schema) |
| [disconnect](#disconnect)                 | Method | wifi.ap.&lt;name&gt; (this schema) |
| [list_neighbor](#list_neighbor)           | Method | wifi.ap.&lt;name&gt; (this schema) |
| [monitor](#monitor)                       | Method | wifi.ap.&lt;name&gt; (this schema) |
| [request_neighbor](#request_neighbor)     | Method | wifi.ap.&lt;name&gt; (this schema) |
| [request_transition](#request_transition) | Method | wifi.ap.&lt;name&gt; (this schema) |
| [stations](#stations)                     | Method | wifi.ap.&lt;name&gt; (this schema) |
| [stats](#stats)                           | Method | wifi.ap.&lt;name&gt; (this schema) |
| [status](#status)                         | Method | wifi.ap.&lt;name&gt; (this schema) |

## add_neighbor

`add_neighbor`

- type: `Method`

### add_neighbor Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property     | Type    | Required     |
| ------------ | ------- | ------------ |
| `bssid`      | string  | **Required** |
| `bssid_info` | string  | **Required** |
| `channel`    | oneOf   | **Required** |
| `phy`        | integer | **Required** |
| `reg`        | integer | **Required** |

#### bssid

##### MAC Address

`bssid`

- is **required**
- type: reference

##### bssid Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### bssid_info

`bssid_info`

- is **required**
- type: `string`

##### bssid_info Type

`string`

#### channel

`channel`

- is **required**
- type: complex

##### channel Type

**One** of the following _conditions_ need to be fulfilled.

#### Condition 1

`integer`

- minimum value: `1`
- maximum value: `14`

#### Condition 2

`integer`

- minimum value: `32`
- maximum value: `200`

#### phy

`phy`

- is **required**
- type: `integer`

##### phy Type

`integer`

- minimum value: `0`

#### reg

`reg`

- is **required**
- type: `integer`

##### reg Type

`integer`

- minimum value: `0`

### Ubus CLI Example

```
ubus call wifi.ap.<name> add_neighbor {"bssid":"7D:AF:d4:61:7D:15","channel":148,"bssid_info":"exercitation pariatur labore","reg":55128803,"phy":5160466}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": [
    "<SID>",
    "wifi.ap.<name>",
    "add_neighbor",
    {
      "bssid": "7D:AF:d4:61:7D:15",
      "channel": 148,
      "bssid_info": "exercitation pariatur labore",
      "reg": 55128803,
      "phy": 5160466
    }
  ]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## add_vendor_ie

`add_vendor_ie`

- type: `Method`

### add_vendor_ie Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type    | Required     |
| -------- | ------- | ------------ |
| `data`   | string  | **Required** |
| `mgmt`   | integer | **Required** |
| `oui`    | string  | **Required** |

#### data

##### Hex String

`data`

- is **required**
- type: reference

##### data Type

`string`

All instances must conform to this regular expression (test examples
[here](https://regexr.com/?expression=%5E%5B0-9a-fA-F%5D%2B)):

```regex
^[0-9a-fA-F]+
```

#### mgmt

`mgmt`

- is **required**
- type: `integer`

##### mgmt Type

`integer`

#### oui

##### Three byte oui

`oui`

- is **required**
- type: reference

##### oui Type

`string`

- minimum length: 9 characters
- maximum length: 9 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D)%7B3%7D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]){3}$
```

### Ubus CLI Example

```
ubus call wifi.ap.<name> add_vendor_ie {"mgmt":-95722701,"oui":"b79aaDC49","data":"aAb9"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": ["<SID>", "wifi.ap.<name>", "add_vendor_ie", { "mgmt": -95722701, "oui": "b79aaDC49", "data": "aAb9" }]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## assoclist

`assoclist`

- type: `Method`

### assoclist Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Ubus CLI Example

```
ubus call wifi.ap.<name> assoclist {}
```

### JSONRPC Example

```json
{ "jsonrpc": "2.0", "id": 0, "method": "call", "params": ["<SID>", "wifi.ap.<name>", "assoclist", {}] }
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property    | Type  | Required     |
| ----------- | ----- | ------------ |
| `assoclist` | array | **Required** |

#### assoclist

`assoclist`

- is **required**
- type: `object[]`

##### assoclist Type

Array type: `object[]`

All items must be of the type: `object` with following properties:

| Property  | Type   | Required     |
| --------- | ------ | ------------ |
| `macaddr` | string | **Required** |
| `wdev`    | string | **Required** |

#### macaddr

##### MAC Address

`macaddr`

- is **required**
- type: reference

##### macaddr Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### wdev

##### Interface

`wdev`

- is **required**
- type: reference

##### wdev Type

`string`

- minimum length: 1 characters
- maximum length: 16 characters

### Output Example

```json
{
  "assoclist": [
    { "wdev": "eu ex veniam", "macaddr": "95:BB:cd:F3:d8:6d" },
    { "wdev": "nisi", "macaddr": "65:6C:7b:43:D3:FC" },
    { "wdev": "commodo velit a", "macaddr": "9F:d4:4D:D0:F1:A4" },
    { "wdev": "qui ", "macaddr": "ED:D7:49:aC:c5:10" },
    { "wdev": "in et o", "macaddr": "14:69:A2:AC:f6:49" }
  ]
}
```

## del_neighbor

`del_neighbor`

- type: `Method`

### del_neighbor Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type   | Required     |
| -------- | ------ | ------------ |
| `bssid`  | string | **Required** |

#### bssid

##### MAC Address

`bssid`

- is **required**
- type: reference

##### bssid Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

### Ubus CLI Example

```
ubus call wifi.ap.<name> del_neighbor {"bssid":"7E:d5:c5:D2:a8:Bd"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": ["<SID>", "wifi.ap.<name>", "del_neighbor", { "bssid": "7E:d5:c5:D2:a8:Bd" }]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## del_vendor_ie

`del_vendor_ie`

- type: `Method`

### del_vendor_ie Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `intput` | object | Optional |
| `output` | object | Optional |

#### intput

`intput`

- is optional
- type: `object`

##### intput Type

`object` with following properties:

| Property | Type    | Required     |
| -------- | ------- | ------------ |
| `data`   | string  | **Required** |
| `mgmt`   | integer | **Required** |
| `oui`    | string  | **Required** |

#### data

##### Hex String

`data`

- is **required**
- type: reference

##### data Type

`string`

All instances must conform to this regular expression (test examples
[here](https://regexr.com/?expression=%5E%5B0-9a-fA-F%5D%2B)):

```regex
^[0-9a-fA-F]+
```

#### mgmt

`mgmt`

- is **required**
- type: `integer`

##### mgmt Type

`integer`

#### oui

##### Three byte oui

`oui`

- is **required**
- type: reference

##### oui Type

`string`

- minimum length: 9 characters
- maximum length: 9 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D)%7B3%7D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]){3}$
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## disconnect

`disconnect`

- type: `Method`

### disconnect Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type   | Required     |
| -------- | ------ | ------------ |
| `sta`    | string | **Required** |

#### sta

##### MAC Address

`sta`

- is **required**
- type: reference

##### sta Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

### Ubus CLI Example

```
ubus call wifi.ap.<name> disconnect {"sta":"62:Ec:Ff:09:FB:42"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": ["<SID>", "wifi.ap.<name>", "disconnect", { "sta": "62:Ec:Ff:09:FB:42" }]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## list_neighbor

`list_neighbor`

- type: `Method`

### list_neighbor Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `client` | string | Optional |
| `ssid`   | string | Optional |

#### client

##### MAC Address

`client`

- is optional
- type: reference

##### client Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### ssid

##### SSID

`ssid`

- is optional
- type: reference

##### ssid Type

`string`

- maximum length: 32 characters

### Ubus CLI Example

```
ubus call wifi.ap.<name> list_neighbor {"ssid":"est commodo c","client":"ed:4F:78:BB:F6:00"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": ["<SID>", "wifi.ap.<name>", "list_neighbor", { "ssid": "est commodo c", "client": "ed:4F:78:BB:F6:00" }]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{ "neighbors": "dolore sint" }
```

## monitor

`monitor`

- type: `Method`

### monitor Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `intput` | object | Optional |
| `output` | object | Optional |

#### intput

`intput`

- is optional
- type: `object`

##### intput Type

`object` with following properties:

| Property | Type    | Required     |
| -------- | ------- | ------------ |
| `get`    | integer | Optional     |
| `sta`    | string  | **Required** |

#### get

`get`

- is optional
- type: `integer`

##### get Type

`integer`

#### sta

##### MAC Address

`sta`

- is **required**
- type: reference

##### sta Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## request_neighbor

`request_neighbor`

- type: `Method`

### request_neighbor Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type   | Required     |
| -------- | ------ | ------------ |
| `client` | string | **Required** |
| `ssid`   | string | Optional     |

#### client

##### MAC Address

`client`

- is **required**
- type: reference

##### client Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### ssid

##### SSID

`ssid`

- is optional
- type: reference

##### ssid Type

`string`

- maximum length: 32 characters

### Ubus CLI Example

```
ubus call wifi.ap.<name> request_neighbor {"client":"Fc:2A:3f:71:Bb:c4","ssid":"aliqua ut Excepteur"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": [
    "<SID>",
    "wifi.ap.<name>",
    "request_neighbor",
    { "client": "Fc:2A:3f:71:Bb:c4", "ssid": "aliqua ut Excepteur" }
  ]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## request_transition

`request_transition`

- type: `Method`

### request_transition Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property  | Type    | Required     |
| --------- | ------- | ------------ |
| `bssid`   | array   | **Required** |
| `client`  | string  | **Required** |
| `timeout` | integer | Optional     |

#### bssid

`bssid`

- is **required**
- type: reference

##### bssid Type

Array type: reference

All items must be of the type: `string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### client

##### MAC Address

`client`

- is **required**
- type: reference

##### client Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### timeout

`timeout`

- is optional
- type: `integer`

##### timeout Type

`integer`

### Ubus CLI Example

```
ubus call wifi.ap.<name> request_transition {"client":"b9:0B:De:Dd:8C:De","bssid":["13:a3:F7:32:cA:a1","68:7f:6f:d1:eb:A0","CB:0D:E8:BD:a7:e0","4F:cA:23:87:bC:96","8b:f8:dc:FD:1A:c7"],"timeout":-38008176}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": [
    "<SID>",
    "wifi.ap.<name>",
    "request_transition",
    {
      "client": "b9:0B:De:Dd:8C:De",
      "bssid": [
        "13:a3:F7:32:cA:a1",
        "68:7f:6f:d1:eb:A0",
        "CB:0D:E8:BD:a7:e0",
        "4F:cA:23:87:bC:96",
        "8b:f8:dc:FD:1A:c7"
      ],
      "timeout": -38008176
    }
  ]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Output Example

```json
{}
```

## stations

`stations`

- type: `Method`

### stations Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `sta`    | string | Optional |

#### sta

##### MAC Address

`sta`

- is optional
- type: reference

##### sta Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

### Ubus CLI Example

```
ubus call wifi.ap.<name> stations {"sta":"bD:a6:8E:e1:B1:0F"}
```

### JSONRPC Example

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "call",
  "params": ["<SID>", "wifi.ap.<name>", "stations", { "sta": "bD:a6:8E:e1:B1:0F" }]
}
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property   | Type  | Required     |
| ---------- | ----- | ------------ |
| `stations` | array | **Required** |

#### stations

`stations`

- is **required**
- type: `object[]`

##### stations Type

Array type: `object[]`

All items must be of the type: `object` with following properties:

| Property           | Type    | Required     |
| ------------------ | ------- | ------------ |
| `airtime`          | integer | **Required** |
| `capabilities`     | object  | **Required** |
| `frequency`        | string  | **Required** |
| `idle`             | integer | **Required** |
| `in_network`       | integer | **Required** |
| `macaddr`          | string  | **Required** |
| `max_rate`         | integer | **Required** |
| `rssi`             | integer | **Required** |
| `rssi_per_antenna` | array   | **Required** |
| `rx_airtime`       | integer | **Required** |
| `snr`              | integer | **Required** |
| `stats`            | object  | **Required** |
| `status`           | object  | **Required** |
| `tx_airtime`       | integer | **Required** |
| `wdev`             | string  | **Required** |

#### airtime

`airtime`

- is **required**
- type: `integer`

##### airtime Type

`integer`

- minimum value: `0`
- maximum value: `100`

#### capabilities

`capabilities`

- is **required**
- type: `object`

##### capabilities Type

`object` with following properties:

| Property     | Type    | Required     |
| ------------ | ------- | ------------ |
| `2040coex`   | boolean | **Required** |
| `apsd`       | boolean | **Required** |
| `dot11ac`    | object  | Optional     |
| `dot11h`     | boolean | **Required** |
| `dot11k`     | object  | Optional     |
| `dot11n`     | object  | Optional     |
| `dot11v_btm` | boolean | **Required** |
| `proxy_arp`  | boolean | **Required** |
| `psmp`       | boolean | **Required** |
| `shortslot`  | boolean | **Required** |
| `wmm`        | boolean | **Required** |

#### 2040coex

`2040coex`

- is **required**
- type: `boolean`

##### 2040coex Type

`boolean`

#### apsd

`apsd`

- is **required**
- type: `boolean`

##### apsd Type

`boolean`

#### dot11ac

`dot11ac`

- is optional
- type: `object`

##### dot11ac Type

`object` with following properties:

| Property                | Type    | Required     |
| ----------------------- | ------- | ------------ |
| `dot11ac_160`           | boolean | **Required** |
| `dot11ac_8080`          | boolean | **Required** |
| `dot11ac_mpdu_max`      | integer | **Required** |
| `dot11ac_mu_beamformee` | boolean | **Required** |
| `dot11ac_mu_beamformer` | boolean | **Required** |
| `dot11ac_rx_ldpc`       | boolean | **Required** |
| `dot11ac_rx_stbc_1ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_2ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_3ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_4ss`   | boolean | **Required** |
| `dot11ac_sgi160`        | boolean | **Required** |
| `dot11ac_sgi80`         | boolean | **Required** |
| `dot11ac_su_beamformee` | boolean | **Required** |
| `dot11ac_su_beamformer` | boolean | **Required** |
| `dot11ac_tx_stbc`       | boolean | **Required** |

#### dot11ac_160

`dot11ac_160`

- is **required**
- type: `boolean`

##### dot11ac_160 Type

`boolean`

#### dot11ac_8080

`dot11ac_8080`

- is **required**
- type: `boolean`

##### dot11ac_8080 Type

`boolean`

#### dot11ac_mpdu_max

`dot11ac_mpdu_max`

- is **required**
- type: `integer`

##### dot11ac_mpdu_max Type

`integer`

- minimum value: `0`
- maximum value: `65535`

#### dot11ac_mu_beamformee

`dot11ac_mu_beamformee`

- is **required**
- type: `boolean`

##### dot11ac_mu_beamformee Type

`boolean`

#### dot11ac_mu_beamformer

`dot11ac_mu_beamformer`

- is **required**
- type: `boolean`

##### dot11ac_mu_beamformer Type

`boolean`

#### dot11ac_rx_ldpc

`dot11ac_rx_ldpc`

- is **required**
- type: `boolean`

##### dot11ac_rx_ldpc Type

`boolean`

#### dot11ac_rx_stbc_1ss

`dot11ac_rx_stbc_1ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_1ss Type

`boolean`

#### dot11ac_rx_stbc_2ss

`dot11ac_rx_stbc_2ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_2ss Type

`boolean`

#### dot11ac_rx_stbc_3ss

`dot11ac_rx_stbc_3ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_3ss Type

`boolean`

#### dot11ac_rx_stbc_4ss

`dot11ac_rx_stbc_4ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_4ss Type

`boolean`

#### dot11ac_sgi160

`dot11ac_sgi160`

- is **required**
- type: `boolean`

##### dot11ac_sgi160 Type

`boolean`

#### dot11ac_sgi80

`dot11ac_sgi80`

- is **required**
- type: `boolean`

##### dot11ac_sgi80 Type

`boolean`

#### dot11ac_su_beamformee

`dot11ac_su_beamformee`

- is **required**
- type: `boolean`

##### dot11ac_su_beamformee Type

`boolean`

#### dot11ac_su_beamformer

`dot11ac_su_beamformer`

- is **required**
- type: `boolean`

##### dot11ac_su_beamformer Type

`boolean`

#### dot11ac_tx_stbc

`dot11ac_tx_stbc`

- is **required**
- type: `boolean`

##### dot11ac_tx_stbc Type

`boolean`

#### dot11h

`dot11h`

- is **required**
- type: `boolean`

##### dot11h Type

`boolean`

#### dot11k

`dot11k`

- is optional
- type: `object`

##### dot11k Type

`object` with following properties:

| Property             | Type    | Required     |
| -------------------- | ------- | ------------ |
| `dot11k_bcn_active`  | boolean | **Required** |
| `dot11k_bcn_passive` | boolean | **Required** |
| `dot11k_bcn_table`   | boolean | **Required** |
| `dot11k_link_meas`   | boolean | **Required** |
| `dot11k_nbr_report`  | boolean | **Required** |
| `dot11k_rcpi`        | boolean | **Required** |
| `dot11k_rsni`        | boolean | **Required** |

#### dot11k_bcn_active

`dot11k_bcn_active`

- is **required**
- type: `boolean`

##### dot11k_bcn_active Type

`boolean`

#### dot11k_bcn_passive

`dot11k_bcn_passive`

- is **required**
- type: `boolean`

##### dot11k_bcn_passive Type

`boolean`

#### dot11k_bcn_table

`dot11k_bcn_table`

- is **required**
- type: `boolean`

##### dot11k_bcn_table Type

`boolean`

#### dot11k_link_meas

`dot11k_link_meas`

- is **required**
- type: `boolean`

##### dot11k_link_meas Type

`boolean`

#### dot11k_nbr_report

`dot11k_nbr_report`

- is **required**
- type: `boolean`

##### dot11k_nbr_report Type

`boolean`

#### dot11k_rcpi

`dot11k_rcpi`

- is **required**
- type: `boolean`

##### dot11k_rcpi Type

`boolean`

#### dot11k_rsni

`dot11k_rsni`

- is **required**
- type: `boolean`

##### dot11k_rsni Type

`boolean`

#### dot11n

`dot11n`

- is optional
- type: `object`

##### dot11n Type

`object` with following properties:

| Property         | Type    | Required     |
| ---------------- | ------- | ------------ |
| `dot11n_40`      | boolean | **Required** |
| `dot11n_ldpc`    | boolean | **Required** |
| `dot11n_ps`      | boolean | **Required** |
| `dot11n_rx_stbc` | boolean | **Required** |
| `dot11n_sgi20`   | boolean | **Required** |
| `dot11n_sgi40`   | boolean | **Required** |
| `dot11n_tx_stbc` | boolean | **Required** |

#### dot11n_40

`dot11n_40`

- is **required**
- type: `boolean`

##### dot11n_40 Type

`boolean`

#### dot11n_ldpc

`dot11n_ldpc`

- is **required**
- type: `boolean`

##### dot11n_ldpc Type

`boolean`

#### dot11n_ps

`dot11n_ps`

- is **required**
- type: `boolean`

##### dot11n_ps Type

`boolean`

#### dot11n_rx_stbc

`dot11n_rx_stbc`

- is **required**
- type: `boolean`

##### dot11n_rx_stbc Type

`boolean`

#### dot11n_sgi20

`dot11n_sgi20`

- is **required**
- type: `boolean`

##### dot11n_sgi20 Type

`boolean`

#### dot11n_sgi40

`dot11n_sgi40`

- is **required**
- type: `boolean`

##### dot11n_sgi40 Type

`boolean`

#### dot11n_tx_stbc

`dot11n_tx_stbc`

- is **required**
- type: `boolean`

##### dot11n_tx_stbc Type

`boolean`

#### dot11v_btm

`dot11v_btm`

- is **required**
- type: `boolean`

##### dot11v_btm Type

`boolean`

#### proxy_arp

`proxy_arp`

- is **required**
- type: `boolean`

##### proxy_arp Type

`boolean`

#### psmp

`psmp`

- is **required**
- type: `boolean`

##### psmp Type

`boolean`

#### shortslot

`shortslot`

- is **required**
- type: `boolean`

##### shortslot Type

`boolean`

#### wmm

`wmm`

- is **required**
- type: `boolean`

##### wmm Type

`boolean`

#### frequency

##### WiFi Band

`frequency`

- is **required**
- type: reference

##### frequency Type

`string`

The value of this property **must** be equal to one of the [known values below](#stations-known-values).

##### frequency Known Values

| Value |
| ----- |
| 2GHz  |
| 5GHz  |

#### idle

`idle`

- is **required**
- type: `integer`

##### idle Type

`integer`

- minimum value: `0`

#### in_network

`in_network`

- is **required**
- type: `integer`

##### in_network Type

`integer`

- minimum value: `0`

#### macaddr

##### MAC Address

`macaddr`

- is **required**
- type: reference

##### macaddr Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### max_rate

`max_rate`

- is **required**
- type: `integer`

##### max_rate Type

`integer`

- minimum value: `0`

#### rssi

##### RSSI

`rssi`

- is **required**
- type: reference

##### rssi Type

`integer`

- minimum value: `-128`
- maximum value: `0`

#### rssi_per_antenna

`rssi_per_antenna`

- is **required**
- type: reference

##### rssi_per_antenna Type

Array type: reference

All items must be of the type: `integer`

- minimum value: `-128`
- maximum value: `0`

#### rx_airtime

`rx_airtime`

- is **required**
- type: `integer`

##### rx_airtime Type

`integer`

- minimum value: `0`
- maximum value: `100`

#### snr

`snr`

- is **required**
- type: `integer`

##### snr Type

`integer`

- minimum value: `0`
- maximum value: `100`

#### stats

`stats`

- is **required**
- type: `object`

##### stats Type

`object` with following properties:

| Property              | Type    | Required     |
| --------------------- | ------- | ------------ |
| `rate_of_last_rx_pkt` | integer | **Required** |
| `rate_of_last_tx_pkt` | integer | **Required** |
| `rx_data_bytes`       | integer | **Required** |
| `rx_data_pkts`        | integer | **Required** |
| `rx_failures`         | integer | **Required** |
| `tx_failures`         | integer | **Required** |
| `tx_pkts_retries`     | integer | **Required** |
| `tx_total_bytes`      | integer | **Required** |
| `tx_total_pkts`       | integer | **Required** |

#### rate_of_last_rx_pkt

`rate_of_last_rx_pkt`

- is **required**
- type: reference

##### rate_of_last_rx_pkt Type

`integer`

- minimum value: `0`

#### rate_of_last_tx_pkt

`rate_of_last_tx_pkt`

- is **required**
- type: reference

##### rate_of_last_tx_pkt Type

`integer`

- minimum value: `0`

#### rx_data_bytes

`rx_data_bytes`

- is **required**
- type: reference

##### rx_data_bytes Type

`integer`

- minimum value: `0`

#### rx_data_pkts

`rx_data_pkts`

- is **required**
- type: reference

##### rx_data_pkts Type

`integer`

- minimum value: `0`

#### rx_failures

`rx_failures`

- is **required**
- type: reference

##### rx_failures Type

`integer`

- minimum value: `0`

#### tx_failures

`tx_failures`

- is **required**
- type: reference

##### tx_failures Type

`integer`

- minimum value: `0`

#### tx_pkts_retries

`tx_pkts_retries`

- is **required**
- type: reference

##### tx_pkts_retries Type

`integer`

- minimum value: `0`

#### tx_total_bytes

`tx_total_bytes`

- is **required**
- type: reference

##### tx_total_bytes Type

`integer`

- minimum value: `0`

#### tx_total_pkts

`tx_total_pkts`

- is **required**
- type: reference

##### tx_total_pkts Type

`integer`

- minimum value: `0`

#### status

`status`

- is **required**
- type: `object`

##### status Type

`object` with following properties:

| Property | Type    | Required     |
| -------- | ------- | ------------ |
| `ps`     | boolean | **Required** |
| `wmm`    | boolean | **Required** |

#### ps

`ps`

- is **required**
- type: `boolean`

##### ps Type

`boolean`

#### wmm

`wmm`

- is **required**
- type: `boolean`

##### wmm Type

`boolean`

#### tx_airtime

`tx_airtime`

- is **required**
- type: `integer`

##### tx_airtime Type

`integer`

- minimum value: `0`
- maximum value: `100`

#### wdev

##### Interface

`wdev`

- is **required**
- type: reference

##### wdev Type

`string`

- minimum length: 1 characters
- maximum length: 16 characters

### Output Example

```json
{
  "stations": [
    {
      "macaddr": "3A:aC:2c:AA:03:C6",
      "wdev": "se",
      "frequency": "2GHz",
      "rssi": -108,
      "snr": 70,
      "idle": 90053251,
      "in_network": 43328099,
      "tx_airtime": 56,
      "rx_airtime": 93,
      "airtime": 73,
      "max_rate": 11517274,
      "status": { "wmm": false, "ps": false },
      "capabilities": {
        "wmm": false,
        "apsd": true,
        "shortslot": false,
        "dot11h": true,
        "2040coex": false,
        "psmp": true,
        "proxy_arp": true,
        "dot11v_btm": true,
        "dot11k": {
          "dot11k_link_meas": false,
          "dot11k_nbr_report": true,
          "dot11k_bcn_passive": false,
          "dot11k_bcn_active": true,
          "dot11k_bcn_table": true,
          "dot11k_rcpi": false,
          "dot11k_rsni": false
        },
        "dot11n": {
          "dot11n_ldpc": true,
          "dot11n_40": true,
          "dot11n_ps": false,
          "dot11n_sgi20": true,
          "dot11n_sgi40": true,
          "dot11n_tx_stbc": false,
          "dot11n_rx_stbc": false
        },
        "dot11ac": {
          "dot11ac_160": false,
          "dot11ac_8080": false,
          "dot11ac_mpdu_max": 57162,
          "dot11ac_sgi80": true,
          "dot11ac_sgi160": true,
          "dot11ac_rx_ldpc": false,
          "dot11ac_tx_stbc": false,
          "dot11ac_rx_stbc_1ss": false,
          "dot11ac_rx_stbc_2ss": false,
          "dot11ac_rx_stbc_3ss": true,
          "dot11ac_rx_stbc_4ss": true,
          "dot11ac_su_beamformer": false,
          "dot11ac_su_beamformee": false,
          "dot11ac_mu_beamformer": true,
          "dot11ac_mu_beamformee": true
        }
      },
      "stats": {
        "tx_total_pkts": 92281078,
        "tx_total_bytes": 6455029,
        "tx_failures": 15810512,
        "tx_pkts_retries": 80187405,
        "rx_data_pkts": 24413834,
        "rx_data_bytes": 47228586,
        "rx_failures": 10026617,
        "rate_of_last_tx_pkt": 50344199,
        "rate_of_last_rx_pkt": 60889706
      },
      "rssi_per_antenna": [-58, -46, -33, -104]
    },
    {
      "macaddr": "5F:BD:b8:31:Ec:Dc",
      "wdev": "amet sit",
      "frequency": "2GHz",
      "rssi": -69,
      "snr": 63,
      "idle": 24571654,
      "in_network": 23076310,
      "tx_airtime": 56,
      "rx_airtime": 1,
      "airtime": 88,
      "max_rate": 55820450,
      "status": { "wmm": false, "ps": false },
      "capabilities": {
        "wmm": false,
        "apsd": false,
        "shortslot": true,
        "dot11h": true,
        "2040coex": true,
        "psmp": false,
        "proxy_arp": true,
        "dot11v_btm": true,
        "dot11k": {
          "dot11k_link_meas": true,
          "dot11k_nbr_report": true,
          "dot11k_bcn_passive": true,
          "dot11k_bcn_active": false,
          "dot11k_bcn_table": true,
          "dot11k_rcpi": true,
          "dot11k_rsni": false
        },
        "dot11n": {
          "dot11n_ldpc": false,
          "dot11n_40": false,
          "dot11n_ps": false,
          "dot11n_sgi20": true,
          "dot11n_sgi40": true,
          "dot11n_tx_stbc": false,
          "dot11n_rx_stbc": false
        },
        "dot11ac": {
          "dot11ac_160": false,
          "dot11ac_8080": false,
          "dot11ac_mpdu_max": 17677,
          "dot11ac_sgi80": false,
          "dot11ac_sgi160": false,
          "dot11ac_rx_ldpc": false,
          "dot11ac_tx_stbc": false,
          "dot11ac_rx_stbc_1ss": false,
          "dot11ac_rx_stbc_2ss": false,
          "dot11ac_rx_stbc_3ss": false,
          "dot11ac_rx_stbc_4ss": false,
          "dot11ac_su_beamformer": false,
          "dot11ac_su_beamformee": true,
          "dot11ac_mu_beamformer": true,
          "dot11ac_mu_beamformee": false
        }
      },
      "stats": {
        "tx_total_pkts": 51507224,
        "tx_total_bytes": 33042446,
        "tx_failures": 52189830,
        "tx_pkts_retries": 80860394,
        "rx_data_pkts": 31736684,
        "rx_data_bytes": 59698555,
        "rx_failures": 42673662,
        "rate_of_last_tx_pkt": 86670792,
        "rate_of_last_rx_pkt": 81522287
      },
      "rssi_per_antenna": [-110, -101, -83]
    },
    {
      "macaddr": "27:71:6d:C0:C6:c8",
      "wdev": "sit ",
      "frequency": "2GHz",
      "rssi": -115,
      "snr": 3,
      "idle": 49139566,
      "in_network": 93630997,
      "tx_airtime": 25,
      "rx_airtime": 22,
      "airtime": 45,
      "max_rate": 36462522,
      "status": { "wmm": true, "ps": false },
      "capabilities": {
        "wmm": false,
        "apsd": false,
        "shortslot": false,
        "dot11h": true,
        "2040coex": false,
        "psmp": true,
        "proxy_arp": true,
        "dot11v_btm": false,
        "dot11k": {
          "dot11k_link_meas": true,
          "dot11k_nbr_report": true,
          "dot11k_bcn_passive": true,
          "dot11k_bcn_active": true,
          "dot11k_bcn_table": true,
          "dot11k_rcpi": false,
          "dot11k_rsni": false
        },
        "dot11n": {
          "dot11n_ldpc": false,
          "dot11n_40": true,
          "dot11n_ps": true,
          "dot11n_sgi20": true,
          "dot11n_sgi40": true,
          "dot11n_tx_stbc": false,
          "dot11n_rx_stbc": false
        },
        "dot11ac": {
          "dot11ac_160": true,
          "dot11ac_8080": false,
          "dot11ac_mpdu_max": 54602,
          "dot11ac_sgi80": true,
          "dot11ac_sgi160": false,
          "dot11ac_rx_ldpc": true,
          "dot11ac_tx_stbc": false,
          "dot11ac_rx_stbc_1ss": false,
          "dot11ac_rx_stbc_2ss": true,
          "dot11ac_rx_stbc_3ss": false,
          "dot11ac_rx_stbc_4ss": false,
          "dot11ac_su_beamformer": true,
          "dot11ac_su_beamformee": false,
          "dot11ac_mu_beamformer": true,
          "dot11ac_mu_beamformee": true
        }
      },
      "stats": {
        "tx_total_pkts": 22048245,
        "tx_total_bytes": 32320728,
        "tx_failures": 9765756,
        "tx_pkts_retries": 11753890,
        "rx_data_pkts": 96434769,
        "rx_data_bytes": 75447112,
        "rx_failures": 16276172,
        "rate_of_last_tx_pkt": 16186367,
        "rate_of_last_rx_pkt": 82849152
      },
      "rssi_per_antenna": [-69, -43, -11]
    },
    {
      "macaddr": "bB:C8:2B:D4:4c:bF",
      "wdev": "s",
      "frequency": "2GHz",
      "rssi": -30,
      "snr": 46,
      "idle": 92358887,
      "in_network": 24006299,
      "tx_airtime": 48,
      "rx_airtime": 78,
      "airtime": 3,
      "max_rate": 51661001,
      "status": { "wmm": true, "ps": true },
      "capabilities": {
        "wmm": true,
        "apsd": true,
        "shortslot": true,
        "dot11h": false,
        "2040coex": true,
        "psmp": true,
        "proxy_arp": false,
        "dot11v_btm": false,
        "dot11k": {
          "dot11k_link_meas": true,
          "dot11k_nbr_report": false,
          "dot11k_bcn_passive": true,
          "dot11k_bcn_active": true,
          "dot11k_bcn_table": false,
          "dot11k_rcpi": false,
          "dot11k_rsni": false
        },
        "dot11n": {
          "dot11n_ldpc": false,
          "dot11n_40": true,
          "dot11n_ps": false,
          "dot11n_sgi20": false,
          "dot11n_sgi40": true,
          "dot11n_tx_stbc": false,
          "dot11n_rx_stbc": true
        },
        "dot11ac": {
          "dot11ac_160": false,
          "dot11ac_8080": false,
          "dot11ac_mpdu_max": 64314,
          "dot11ac_sgi80": true,
          "dot11ac_sgi160": false,
          "dot11ac_rx_ldpc": true,
          "dot11ac_tx_stbc": true,
          "dot11ac_rx_stbc_1ss": true,
          "dot11ac_rx_stbc_2ss": true,
          "dot11ac_rx_stbc_3ss": false,
          "dot11ac_rx_stbc_4ss": true,
          "dot11ac_su_beamformer": true,
          "dot11ac_su_beamformee": true,
          "dot11ac_mu_beamformer": true,
          "dot11ac_mu_beamformee": false
        }
      },
      "stats": {
        "tx_total_pkts": 32983808,
        "tx_total_bytes": 3978506,
        "tx_failures": 57206696,
        "tx_pkts_retries": 72123612,
        "rx_data_pkts": 45529189,
        "rx_data_bytes": 48658043,
        "rx_failures": 12011487,
        "rate_of_last_tx_pkt": 12424747,
        "rate_of_last_rx_pkt": 82682244
      },
      "rssi_per_antenna": [-92, -16]
    },
    {
      "macaddr": "c6:09:c5:A1:4E:5E",
      "wdev": "reprehenderit",
      "frequency": "2GHz",
      "rssi": -73,
      "snr": 91,
      "idle": 19060476,
      "in_network": 4933515,
      "tx_airtime": 17,
      "rx_airtime": 27,
      "airtime": 82,
      "max_rate": 60339022,
      "status": { "wmm": false, "ps": true },
      "capabilities": {
        "wmm": true,
        "apsd": false,
        "shortslot": true,
        "dot11h": false,
        "2040coex": true,
        "psmp": true,
        "proxy_arp": true,
        "dot11v_btm": false,
        "dot11k": {
          "dot11k_link_meas": false,
          "dot11k_nbr_report": false,
          "dot11k_bcn_passive": false,
          "dot11k_bcn_active": true,
          "dot11k_bcn_table": true,
          "dot11k_rcpi": false,
          "dot11k_rsni": true
        },
        "dot11n": {
          "dot11n_ldpc": false,
          "dot11n_40": true,
          "dot11n_ps": false,
          "dot11n_sgi20": false,
          "dot11n_sgi40": false,
          "dot11n_tx_stbc": false,
          "dot11n_rx_stbc": true
        },
        "dot11ac": {
          "dot11ac_160": false,
          "dot11ac_8080": false,
          "dot11ac_mpdu_max": 24826,
          "dot11ac_sgi80": false,
          "dot11ac_sgi160": false,
          "dot11ac_rx_ldpc": true,
          "dot11ac_tx_stbc": true,
          "dot11ac_rx_stbc_1ss": false,
          "dot11ac_rx_stbc_2ss": true,
          "dot11ac_rx_stbc_3ss": false,
          "dot11ac_rx_stbc_4ss": true,
          "dot11ac_su_beamformer": false,
          "dot11ac_su_beamformee": false,
          "dot11ac_mu_beamformer": false,
          "dot11ac_mu_beamformee": true
        }
      },
      "stats": {
        "tx_total_pkts": 40473172,
        "tx_total_bytes": 16285086,
        "tx_failures": 19423488,
        "tx_pkts_retries": 17748565,
        "rx_data_pkts": 3840175,
        "rx_data_bytes": 84968530,
        "rx_failures": 13879729,
        "rate_of_last_tx_pkt": 29702903,
        "rate_of_last_rx_pkt": 44996704
      },
      "rssi_per_antenna": [-6, -90]
    }
  ]
}
```

## stats

`stats`

- type: `Method`

### stats Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Ubus CLI Example

```
ubus call wifi.ap.<name> stats {}
```

### JSONRPC Example

```json
{ "jsonrpc": "2.0", "id": 0, "method": "call", "params": ["<SID>", "wifi.ap.<name>", "stats", {}] }
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property                  | Type    | Required     |
| ------------------------- | ------- | ------------ |
| `ack_fail_packets`        | integer | **Required** |
| `aggregate_packets`       | integer | **Required** |
| `rx_broadcast_packets`    | integer | **Required** |
| `rx_bytes`                | integer | **Required** |
| `rx_dropped_packets`      | integer | **Required** |
| `rx_error_packets`        | integer | **Required** |
| `rx_multicast_packets`    | integer | **Required** |
| `rx_packets`              | integer | **Required** |
| `rx_unicast_packets`      | integer | **Required** |
| `rx_unknown_packets`      | integer | **Required** |
| `tx_broadcast_packets`    | integer | **Required** |
| `tx_bytes`                | integer | **Required** |
| `tx_dropped_packets`      | integer | **Required** |
| `tx_error_packets`        | integer | **Required** |
| `tx_multi_retry_packets`  | integer | **Required** |
| `tx_multicast_packets`    | integer | **Required** |
| `tx_packets`              | integer | **Required** |
| `tx_retrans_fail_packets` | integer | **Required** |
| `tx_retrans_packets`      | integer | **Required** |
| `tx_retry_packets`        | integer | **Required** |
| `tx_unicast_packets`      | integer | **Required** |

#### ack_fail_packets

`ack_fail_packets`

- is **required**
- type: reference

##### ack_fail_packets Type

`integer`

- minimum value: `0`

#### aggregate_packets

`aggregate_packets`

- is **required**
- type: reference

##### aggregate_packets Type

`integer`

- minimum value: `0`

#### rx_broadcast_packets

`rx_broadcast_packets`

- is **required**
- type: reference

##### rx_broadcast_packets Type

`integer`

- minimum value: `0`

#### rx_bytes

`rx_bytes`

- is **required**
- type: reference

##### rx_bytes Type

`integer`

- minimum value: `0`

#### rx_dropped_packets

`rx_dropped_packets`

- is **required**
- type: reference

##### rx_dropped_packets Type

`integer`

- minimum value: `0`

#### rx_error_packets

`rx_error_packets`

- is **required**
- type: reference

##### rx_error_packets Type

`integer`

- minimum value: `0`

#### rx_multicast_packets

`rx_multicast_packets`

- is **required**
- type: reference

##### rx_multicast_packets Type

`integer`

- minimum value: `0`

#### rx_packets

`rx_packets`

- is **required**
- type: reference

##### rx_packets Type

`integer`

- minimum value: `0`

#### rx_unicast_packets

`rx_unicast_packets`

- is **required**
- type: reference

##### rx_unicast_packets Type

`integer`

- minimum value: `0`

#### rx_unknown_packets

`rx_unknown_packets`

- is **required**
- type: reference

##### rx_unknown_packets Type

`integer`

- minimum value: `0`

#### tx_broadcast_packets

`tx_broadcast_packets`

- is **required**
- type: reference

##### tx_broadcast_packets Type

`integer`

- minimum value: `0`

#### tx_bytes

`tx_bytes`

- is **required**
- type: reference

##### tx_bytes Type

`integer`

- minimum value: `0`

#### tx_dropped_packets

`tx_dropped_packets`

- is **required**
- type: reference

##### tx_dropped_packets Type

`integer`

- minimum value: `0`

#### tx_error_packets

`tx_error_packets`

- is **required**
- type: reference

##### tx_error_packets Type

`integer`

- minimum value: `0`

#### tx_multi_retry_packets

`tx_multi_retry_packets`

- is **required**
- type: reference

##### tx_multi_retry_packets Type

`integer`

- minimum value: `0`

#### tx_multicast_packets

`tx_multicast_packets`

- is **required**
- type: reference

##### tx_multicast_packets Type

`integer`

- minimum value: `0`

#### tx_packets

`tx_packets`

- is **required**
- type: reference

##### tx_packets Type

`integer`

- minimum value: `0`

#### tx_retrans_fail_packets

`tx_retrans_fail_packets`

- is **required**
- type: reference

##### tx_retrans_fail_packets Type

`integer`

- minimum value: `0`

#### tx_retrans_packets

`tx_retrans_packets`

- is **required**
- type: reference

##### tx_retrans_packets Type

`integer`

- minimum value: `0`

#### tx_retry_packets

`tx_retry_packets`

- is **required**
- type: reference

##### tx_retry_packets Type

`integer`

- minimum value: `0`

#### tx_unicast_packets

`tx_unicast_packets`

- is **required**
- type: reference

##### tx_unicast_packets Type

`integer`

- minimum value: `0`

### Output Example

```json
{
  "tx_bytes": 45898068,
  "tx_packets": 22299868,
  "tx_unicast_packets": 68790704,
  "tx_multicast_packets": 21953717,
  "tx_broadcast_packets": 51292406,
  "tx_error_packets": 58416828,
  "tx_retrans_packets": 62808550,
  "tx_retrans_fail_packets": 54601227,
  "tx_retry_packets": 6510836,
  "tx_multi_retry_packets": 72654188,
  "tx_dropped_packets": 46052254,
  "ack_fail_packets": 87486133,
  "aggregate_packets": 43478535,
  "rx_bytes": 16018837,
  "rx_packets": 9027848,
  "rx_unicast_packets": 6370715,
  "rx_multicast_packets": 58632,
  "rx_broadcast_packets": 93325534,
  "rx_error_packets": 57998201,
  "rx_dropped_packets": 86018793,
  "rx_unknown_packets": 49274524
}
```

## status

`status`

- type: `Method`

### status Type

`object` with following properties:

| Property | Type   | Required |
| -------- | ------ | -------- |
| `input`  | object | Optional |
| `output` | object | Optional |

#### input

`input`

- is optional
- type: `object`

##### input Type

`object` with following properties:

| Property | Type | Required |
| -------- | ---- | -------- |
| None     | None | None     |

### Ubus CLI Example

```
ubus call wifi.ap.<name> status {}
```

### JSONRPC Example

```json
{ "jsonrpc": "2.0", "id": 0, "method": "call", "params": ["<SID>", "wifi.ap.<name>", "status", {}] }
```

#### output

`output`

- is optional
- type: `object`

##### output Type

`object` with following properties:

| Property       | Type    | Required     |
| -------------- | ------- | ------------ |
| `adm_capacity` | integer | **Required** |
| `bandwidth`    | oneOf   | **Required** |
| `bssid`        | string  | **Required** |
| `capabilities` | object  | **Required** |
| `encryption`   | string  | **Required** |
| `hidden`       | boolean | **Required** |
| `ifname`       | string  | **Required** |
| `max_stations` | integer | **Required** |
| `num_stations` | integer | **Required** |
| `ssid`         | string  | **Required** |
| `standard`     | string  | **Required** |
| `status`       | string  | **Required** |
| `utilization`  | integer | **Required** |

#### adm_capacity

`adm_capacity`

- is **required**
- type: `integer`

##### adm_capacity Type

`integer`

#### bandwidth

`bandwidth`

- is **required**
- type: complex

##### bandwidth Type

**One** of the following _conditions_ need to be fulfilled.

#### Condition 1

`integer`

#### Condition 2

`integer`

#### bssid

##### MAC Address

`bssid`

- is **required**
- type: reference

##### bssid Type

`string`

- minimum length: 17 characters
- maximum length: 17 characters All instances must conform to this regular expression (test examples
  [here](<https://regexr.com/?expression=%5E(%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%3A)%7B5%7D%5B0-9a-fA-F%5D%5B0-9a-fA-F%5D%24>)):

```regex
^([0-9a-fA-F][0-9a-fA-F]:){5}[0-9a-fA-F][0-9a-fA-F]$
```

#### capabilities

`capabilities`

- is **required**
- type: `object`

##### capabilities Type

`object` with following properties:

| Property    | Type    | Required     |
| ----------- | ------- | ------------ |
| `apsd`      | boolean | **Required** |
| `dot11ac`   | object  | Optional     |
| `dot11h`    | boolean | **Required** |
| `dot11k`    | object  | Optional     |
| `dot11n`    | object  | Optional     |
| `shortslot` | boolean | **Required** |
| `wmm`       | boolean | **Required** |

#### apsd

`apsd`

- is **required**
- type: `boolean`

##### apsd Type

`boolean`

#### dot11ac

`dot11ac`

- is optional
- type: `object`

##### dot11ac Type

`object` with following properties:

| Property                | Type    | Required     |
| ----------------------- | ------- | ------------ |
| `dot11ac_160`           | boolean | **Required** |
| `dot11ac_8080`          | boolean | **Required** |
| `dot11ac_mpdu_max`      | integer | **Required** |
| `dot11ac_mu_beamformee` | boolean | **Required** |
| `dot11ac_mu_beamformer` | boolean | **Required** |
| `dot11ac_rx_ldpc`       | boolean | **Required** |
| `dot11ac_rx_stbc_1ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_2ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_3ss`   | boolean | **Required** |
| `dot11ac_rx_stbc_4ss`   | boolean | **Required** |
| `dot11ac_sgi160`        | boolean | **Required** |
| `dot11ac_sgi80`         | boolean | **Required** |
| `dot11ac_su_beamformee` | boolean | **Required** |
| `dot11ac_su_beamformer` | boolean | **Required** |
| `dot11ac_tx_stbc`       | boolean | **Required** |

#### dot11ac_160

`dot11ac_160`

- is **required**
- type: `boolean`

##### dot11ac_160 Type

`boolean`

#### dot11ac_8080

`dot11ac_8080`

- is **required**
- type: `boolean`

##### dot11ac_8080 Type

`boolean`

#### dot11ac_mpdu_max

`dot11ac_mpdu_max`

- is **required**
- type: `integer`

##### dot11ac_mpdu_max Type

`integer`

- minimum value: `0`
- maximum value: `65535`

#### dot11ac_mu_beamformee

`dot11ac_mu_beamformee`

- is **required**
- type: `boolean`

##### dot11ac_mu_beamformee Type

`boolean`

#### dot11ac_mu_beamformer

`dot11ac_mu_beamformer`

- is **required**
- type: `boolean`

##### dot11ac_mu_beamformer Type

`boolean`

#### dot11ac_rx_ldpc

`dot11ac_rx_ldpc`

- is **required**
- type: `boolean`

##### dot11ac_rx_ldpc Type

`boolean`

#### dot11ac_rx_stbc_1ss

`dot11ac_rx_stbc_1ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_1ss Type

`boolean`

#### dot11ac_rx_stbc_2ss

`dot11ac_rx_stbc_2ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_2ss Type

`boolean`

#### dot11ac_rx_stbc_3ss

`dot11ac_rx_stbc_3ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_3ss Type

`boolean`

#### dot11ac_rx_stbc_4ss

`dot11ac_rx_stbc_4ss`

- is **required**
- type: `boolean`

##### dot11ac_rx_stbc_4ss Type

`boolean`

#### dot11ac_sgi160

`dot11ac_sgi160`

- is **required**
- type: `boolean`

##### dot11ac_sgi160 Type

`boolean`

#### dot11ac_sgi80

`dot11ac_sgi80`

- is **required**
- type: `boolean`

##### dot11ac_sgi80 Type

`boolean`

#### dot11ac_su_beamformee

`dot11ac_su_beamformee`

- is **required**
- type: `boolean`

##### dot11ac_su_beamformee Type

`boolean`

#### dot11ac_su_beamformer

`dot11ac_su_beamformer`

- is **required**
- type: `boolean`

##### dot11ac_su_beamformer Type

`boolean`

#### dot11ac_tx_stbc

`dot11ac_tx_stbc`

- is **required**
- type: `boolean`

##### dot11ac_tx_stbc Type

`boolean`

#### dot11h

`dot11h`

- is **required**
- type: `boolean`

##### dot11h Type

`boolean`

#### dot11k

`dot11k`

- is optional
- type: `object`

##### dot11k Type

`object` with following properties:

| Property             | Type    | Required     |
| -------------------- | ------- | ------------ |
| `dot11k_bcn_active`  | boolean | **Required** |
| `dot11k_bcn_passive` | boolean | **Required** |
| `dot11k_bcn_table`   | boolean | **Required** |
| `dot11k_link_meas`   | boolean | **Required** |
| `dot11k_nbr_report`  | boolean | **Required** |
| `dot11k_rcpi`        | boolean | **Required** |
| `dot11k_rsni`        | boolean | **Required** |

#### dot11k_bcn_active

`dot11k_bcn_active`

- is **required**
- type: `boolean`

##### dot11k_bcn_active Type

`boolean`

#### dot11k_bcn_passive

`dot11k_bcn_passive`

- is **required**
- type: `boolean`

##### dot11k_bcn_passive Type

`boolean`

#### dot11k_bcn_table

`dot11k_bcn_table`

- is **required**
- type: `boolean`

##### dot11k_bcn_table Type

`boolean`

#### dot11k_link_meas

`dot11k_link_meas`

- is **required**
- type: `boolean`

##### dot11k_link_meas Type

`boolean`

#### dot11k_nbr_report

`dot11k_nbr_report`

- is **required**
- type: `boolean`

##### dot11k_nbr_report Type

`boolean`

#### dot11k_rcpi

`dot11k_rcpi`

- is **required**
- type: `boolean`

##### dot11k_rcpi Type

`boolean`

#### dot11k_rsni

`dot11k_rsni`

- is **required**
- type: `boolean`

##### dot11k_rsni Type

`boolean`

#### dot11n

`dot11n`

- is optional
- type: `object`

##### dot11n Type

`object` with following properties:

| Property         | Type    | Required     |
| ---------------- | ------- | ------------ |
| `dot11n_40`      | boolean | **Required** |
| `dot11n_ldpc`    | boolean | **Required** |
| `dot11n_ps`      | boolean | **Required** |
| `dot11n_rx_stbc` | boolean | **Required** |
| `dot11n_sgi20`   | boolean | **Required** |
| `dot11n_sgi40`   | boolean | **Required** |
| `dot11n_tx_stbc` | boolean | **Required** |

#### dot11n_40

`dot11n_40`

- is **required**
- type: `boolean`

##### dot11n_40 Type

`boolean`

#### dot11n_ldpc

`dot11n_ldpc`

- is **required**
- type: `boolean`

##### dot11n_ldpc Type

`boolean`

#### dot11n_ps

`dot11n_ps`

- is **required**
- type: `boolean`

##### dot11n_ps Type

`boolean`

#### dot11n_rx_stbc

`dot11n_rx_stbc`

- is **required**
- type: `boolean`

##### dot11n_rx_stbc Type

`boolean`

#### dot11n_sgi20

`dot11n_sgi20`

- is **required**
- type: `boolean`

##### dot11n_sgi20 Type

`boolean`

#### dot11n_sgi40

`dot11n_sgi40`

- is **required**
- type: `boolean`

##### dot11n_sgi40 Type

`boolean`

#### dot11n_tx_stbc

`dot11n_tx_stbc`

- is **required**
- type: `boolean`

##### dot11n_tx_stbc Type

`boolean`

#### shortslot

`shortslot`

- is **required**
- type: `boolean`

##### shortslot Type

`boolean`

#### wmm

`wmm`

- is **required**
- type: `boolean`

##### wmm Type

`boolean`

#### encryption

`encryption`

- is **required**
- type: `string`

##### encryption Type

`string`

#### hidden

`hidden`

- is **required**
- type: `boolean`

##### hidden Type

`boolean`

#### ifname

##### Interface

`ifname`

- is **required**
- type: reference

##### ifname Type

`string`

- minimum length: 1 characters
- maximum length: 16 characters

#### max_stations

##### Number of stations

`max_stations`

- is **required**
- type: reference

##### max_stations Type

`integer`

- minimum value: `0`
- maximum value: `2007`

#### num_stations

##### Number of stations

`num_stations`

- is **required**
- type: reference

##### num_stations Type

`integer`

- minimum value: `0`
- maximum value: `2007`

#### ssid

##### SSID

`ssid`

- is **required**
- type: reference

##### ssid Type

`string`

- maximum length: 32 characters

#### standard

`standard`

- is **required**
- type: `string`

##### standard Type

`string`

#### status

`status`

- is **required**
- type: `string`

##### status Type

`string`

#### utilization

`utilization`

- is **required**
- type: `integer`

##### utilization Type

`integer`

- minimum value: `0`
- maximum value: `100`

### Output Example

```json
{
  "ifname": "nostrud ",
  "status": "cillum culpa ut voluptate fugiat",
  "ssid": "dolore aute consequ",
  "bssid": "8B:d9:Cb:bD:7e:5b",
  "encryption": "proident",
  "bandwidth": 20,
  "standard": "culpa officia commodo",
  "num_stations": 70,
  "utilization": 61,
  "adm_capacity": 87791482,
  "hidden": false,
  "max_stations": 125,
  "capabilities": {
    "wmm": true,
    "apsd": true,
    "shortslot": false,
    "dot11h": false,
    "dot11k": {
      "dot11k_link_meas": true,
      "dot11k_nbr_report": false,
      "dot11k_bcn_passive": true,
      "dot11k_bcn_active": false,
      "dot11k_bcn_table": false,
      "dot11k_rcpi": true,
      "dot11k_rsni": false
    },
    "dot11n": {
      "dot11n_ldpc": false,
      "dot11n_40": false,
      "dot11n_ps": false,
      "dot11n_sgi20": false,
      "dot11n_sgi40": true,
      "dot11n_tx_stbc": true,
      "dot11n_rx_stbc": true
    },
    "dot11ac": {
      "dot11ac_160": false,
      "dot11ac_8080": true,
      "dot11ac_mpdu_max": 36284,
      "dot11ac_sgi80": false,
      "dot11ac_sgi160": false,
      "dot11ac_rx_ldpc": true,
      "dot11ac_tx_stbc": false,
      "dot11ac_rx_stbc_1ss": false,
      "dot11ac_rx_stbc_2ss": true,
      "dot11ac_rx_stbc_3ss": false,
      "dot11ac_rx_stbc_4ss": true,
      "dot11ac_su_beamformer": true,
      "dot11ac_su_beamformee": false,
      "dot11ac_mu_beamformer": false,
      "dot11ac_mu_beamformee": true
    }
  }
}
```
